---
title: "List all Files."
slug: "list-all-files-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:55Z
canonical: "support.appgate.com/list-all-files-1"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.
# List all Files.
Get/files
List all Files uploaded to the current Controller and their details.
SecurityHTTPType bearer
Query parameterschecksumboolean
Whether to calculate checksum of the File(s) and include in the response. If true, response take may long depending on the File sizes.
Defaultfalse
Responses200
List of Files and their statuses.
Expand Allobject
Represents a list of Files and their details.
data Array of object (File)
List of Files.
object
File details and status.
namestring
Filename.
Exampleappgate-upgrade.img.zip
statusstring
Status of the File.
Valid values[
"InProgress",
"Ready",
"Failed"
]
failureReasonstring
The reason of failure.
Example401 Unauthorized
checksumstring
SHA256 checksum of the File.
Example61b14187e9371cecce814f15cf1d85fbd389b5ed5081952397cb8d265f13a190
creationTimestring (date-time)
The creation time of the File.
lastModifiedTimestring (date-time)
The last modified time of the File.
401
Token error. Login again.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
403
Insufficient permissions to access this resource.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
406
Invalid 'Accept' header.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
500
Unexpected server side error.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.